Subject: Re: Alternatives to mid.gmane.org?

From: Eric Wong <[email-masked]>
Date: Thu, 11 Aug 2016 00:28:19 +0000

Eric Wong <[email-masked]> wrote:
> Duy Nguyen <[email-masked]> wrote:
> > I read this and thought "temporarily" but apparently it's not [1]. A
> > lot of our links in the mail archive are gmane's :(
> > 
> > [1] https://lars.ingebrigtsen.no/2016/07/28/the-end-of-gmane/
> 
> I may not have time to integrate this extensibly into the public-inbox
> search engine today, but at least here is an NNTP article number to
> Message-ID mapping for non-NNTP users:

I'm working on getting "gmane:NNN" searches working.

I'm deploying and reindexing this change to one of the onions, first.
So, to get article 123 from "gmane:123":

	http://czquwvybam4bgbro.onion/git/?q=gmane%3A123

	(%3A is the URI escape for ':')

For those unable to run Tor, you can also try using a Tor2web
proxy listed at https://www.tor2web.org/  For example:

	http://czquwvybam4bgbro.onion.to/git/?q=gmane%3A123

Additionally, searching by Message-ID with the search box will
also work after the reindexing (instead of just using the
Message-ID in the URL):

	https://public-inbox.org/meta/20160810232358.GA29130@whir/

After this is fully-deployed and working well; the plan is also
to be able to fix existing gmane links (and also handling
the $gmane/NNN links that were commonly used).

> https://public-inbox.org/.temp/gmane.comp.version-control.git-300599.txt.gz
> (~5 MB)
> 
> Script used to generate this:
> 
> https://public-inbox.org/meta/[email-masked]/